/*****************************************************************************
 *   target.h:  Header file for NXP LPC17xx Family Microprocessors
 *
 *   Copyright(C) 2008, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2008.08.20  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TARGET_H 
#define __TARGET_H

#ifdef __cplusplus
   extern "C" {
#endif

#define	USE_USB					1

//This segment should not be modified
#ifndef TRUE
#define TRUE  1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define IRAM1_BASE_ADDR		0x10000000
#define IRAM2_BASE_ADDR		0x2007C000
#define IRAM1_SIZE			0x8000
#define IRAM2_SIZE			0x8000

#define PLL0_MValue			49
#define PLL0_NValue			2
#define CCLKDivValue		3

#define Fosc	12000000
#define Fcclk	100000000
#define Fcco	400000000

#if USE_USB
/* Fusb_clk = 48Mhz, Fusb_cco = 192Mhz */
#define PLL1_MValue			3
#define PLL1_PValue			1
#endif

#define Fpclk	(Fcclk / 2)

/******************************************************************************
** Function name:		TargetInit
**
** Descriptions:		Initialize the target board; it is called in a 
**				necessary place, change it as needed
**
** parameters:			None
** Returned value:		None
**
******************************************************************************/
void TargetInit(void);
void ConfigurePLL(void);
void TargetResetInit(void);
void IRAMSanityCheck( DWORD BaseAddr, DWORD RAMSize );

#ifdef __cplusplus
   }
#endif
 
#endif /* end __TARGET_H */
/******************************************************************************
**                            End Of File
******************************************************************************/
